%define oname pyserial

Name:		python-serial
Version:	2.6
Release:	%mkrel 3

Summary:	Python serial port extension
License:	Python
Group:          Development/Python
URL:		http://pyserial.sourceforge.net
Source0:	https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python)
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}

Obsoletes:	pyserial < %{version}-%{release}
Provides:	pyserial = %{version}-%{release}

%description
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any 
POSIX compilant system) and Jython. The module named "serial" automatically 
selects the appropriate backend.

%package -n python3-serial
Summary:	Python 3 serial port extension
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python3-serial
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any 
POSIX compilant system) and Jython. The module named "serial" automatically 
selects the appropriate backend.

%prep
%setup -q -n %{oname}-%{version}

#fix shebangs
perl -pi -e "s/#! python/#!\/usr\/bin\/env python/" serial/*.py
perl -pi -e "s/#!jython/#!\/usr\/bin\/env jython/" serial/*.py

#fix EOL
dos2unix examples/port_publisher.py
%apply_patches
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir} 
%{__python3} setup.py build
popd

%install
# Install python 3 first, so that python 2 gets precedence:
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
%{__mv} %{buildroot}%{_bindir}/miniterm.py %{buildroot}%{_bindir}/python3-miniterm.py
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc CHANGES.txt LICENSE.txt PKG-INFO README.txt examples
%{_bindir}/miniterm.py
%{python_sitelib}/serial
%{python_sitelib}/pyserial-%{version}-py%{py_ver}.egg-info

%files -n python3-serial
%doc README*
%{_bindir}/python3-miniterm.py
%{python3_sitelib}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.6-3.mga4
+ Revision: 544232
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.6-2.mga4
+ Revision: 499349
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 2.6-1.mga4
+ Revision: 474143
- update to 2.6, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.5-3.mga3
+ Revision: 379490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 anssi <anssi> 2.5-2.mga1
+ Revision: 98021
- fix license tag
- imported package python-serial

